All of lore.kernel.org
 help / color / mirror / Atom feed
From: Richie <listmail@triad.rr.com>
To: Keir Fraser <keir.fraser@eu.citrix.com>
Cc: Xen Devel <xen-devel@lists.xensource.com>
Subject: Re: [PATCH] xend: update init script to avoid grep on non-existent file system
Date: Sat, 15 May 2010 12:00:37 -0400	[thread overview]
Message-ID: <4BEEC525.6040405@triad.rr.com> (raw)
In-Reply-To: <C8140D61.145AC%keir.fraser@eu.citrix.com>

[-- Attachment #1: Type: text/plain, Size: 640 bytes --]

Keir Fraser wrote:
> On 15/05/2010 05:16, "Richie" <listmail@triad.rr.com> wrote:
>
>   
>> I'm seeing a grep error during bare metal pvops kernel boot.  In the
>> init script, the previous checks will avoid/perform the /proc/xen mount
>> as appropriate, but then it does a grep on /proc/xen/capabilities
>> without ensuring that /proc/xen is actually mounted.  This is my attempt
>> (read: first patch :) ) to avoid it.
>>     
>
> Richie,
>
> Can you try adding the -s option to grep instead (i.e., grep -qs)? Should be
> a simpler way to achieve the same thing. I'll apply that instead if it works
> okay for you.
>
>  -- Keir
>
>
>   


[-- Attachment #2: xend_v2.patch --]
[-- Type: text/x-patch, Size: 626 bytes --]

# HG changeset patch
# User Richie <listmail@triad.rr.com>
# Date 1273938512 14400
# Node ID cc3ed74cfef3f4504712d1d53c0af8c8940e9ab8
# Parent  baccadfd9418b8dee931945e5752cb118f5bf3cb
xend: suppress errors during capabilities check

diff -r baccadfd9418 -r cc3ed74cfef3 tools/hotplug/Linux/init.d/xend
--- a/tools/hotplug/Linux/init.d/xend	Fri May 14 08:05:05 2010 +0100
+++ b/tools/hotplug/Linux/init.d/xend	Sat May 15 11:48:32 2010 -0400
@@ -31,7 +31,7 @@
 	mount -t xenfs xenfs /proc/xen
 fi
 
-if ! grep -q "control_d" /proc/xen/capabilities ; then
+if ! grep -qs "control_d" /proc/xen/capabilities ; then
 	exit 0
 fi
 

[-- Attachment #3: Type: text/plain, Size: 138 bytes --]

_______________________________________________
Xen-devel mailing list
Xen-devel@lists.xensource.com
http://lists.xensource.com/xen-devel

      parent reply	other threads:[~2010-05-15 16:00 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-05-15  4:16 [PATCH] xend: update init script to avoid grep on non-existent file system Richie
2010-05-15  7:35 ` Keir Fraser
2010-05-15 14:56   ` Richie
2010-05-15 15:11     ` Keir Fraser
2010-05-15 16:00   ` Richie [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=4BEEC525.6040405@triad.rr.com \
    --to=listmail@triad.rr.com \
    --cc=keir.fraser@eu.citrix.com \
    --cc=xen-devel@lists.xensource.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.